'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var BASE_URL = 'http://ip-api.com';

var fetch = window.fetch;

var baseFetch = function baseFetch(type) {
  return function (url) {
    return fetch(BASE_URL + '/' + type + '/' + url);
  };
};

var csvFetch = baseFetch('csv');
var jsonFetch = baseFetch('json');
var xmlFetch = baseFetch('xml');

var SUCCESS = exports.SUCCESS = 'success';
var FAIL = exports.FAIL = 'fail';

var csv = exports.csv = function csv(ip) {
  return csvFetch(ip).then(function (response) {
    return response.text();
  });
};
var json = exports.json = function json(ip) {
  return jsonFetch(ip).then(function (response) {
    return response.json();
  });
};
var xml = exports.xml = function xml(ip) {
  return xmlFetch(ip).then(function (response) {
    return response.text();
  });
};
